# Interface CreateGpuPickingMaterialContext

interface CreateGpuPickingMaterialContext {
globalRenderState: GlobalState;
ifcProductColorTexture: LazyResizableRawTexture;
ifcProductPropertiesTexture: LazyResizableRawTexture;
isIfcMesh: boolean;
outlineDiscerningMaterial: boolean;
sideOrientation: number;
}

##### Index

### Properties

globalRenderState
ifcProductColorTexture
ifcProductPropertiesTexture
isIfcMesh
outlineDiscerningMaterial
sideOrientation

## Properties

### `Readonly` globalRenderState

globalRenderState: GlobalState

### `Readonly` ifcProductColorTexture

ifcProductColorTexture: LazyResizableRawTexture

### `Readonly` ifcProductPropertiesTexture

ifcProductPropertiesTexture: LazyResizableRawTexture

### isIfcMesh

isIfcMesh: boolean

### outlineDiscerningMaterial

outlineDiscerningMaterial: boolean

### sideOrientation

sideOrientation: number